2019-12-11 04:21 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002646NetSurfJavascriptpublic2019-07-19 08:27
ReporterChris Young 
Assigned ToDaniel Silverstone 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.9 
Target Version3.9Fixed in Version3.9 
Summary0002646: HTMLUnknownElement followed by crash
DescriptionWebsite gives an "RuhRoh, couldn't find a prototype, HTMLUnknownElement it is" message and eventually crashes. The message may not be related to the crash :)
Steps To ReproduceVisit https://www.postcrossing.com
Potter about a bit on the homepage. In the attached log, I clicked on "create account" although I needed to click on a couple of links on my first attempt in order to reproduce the problem.
Additional InformationLog attached.

Stack trace:
    [content/hlcache.c:729] Apps:Internet/NetSurf/NetSurf:hlcache_handle_get_content()+0x8 (section 1 @ 0x15D6CC)
    [content/content.c:1164] Apps:Internet/NetSurf/NetSurf:content_get_status()+0x10 (section 1 @ 0xB1268)
    [content/handlers/html/html.c:1371] Apps:Internet/NetSurf/NetSurf:html_begin_conversion()+0x130 (section 1 @ 0xDAC74)
    [content/handlers/html/html_script.c:201] Apps:Internet/NetSurf/NetSurf:convert_script_async_cb()+0x1c0 (section 1 @ 0xE813C)
    [content/hlcache.c:195] Apps:Internet/NetSurf/NetSurf:hlcache_content_callback()+0x70 (section 1 @ 0x15C824)
    [content/content.c:800] Apps:Internet/NetSurf/NetSurf:content_set_done()+0xc4 (section 1 @ 0xAEE0C)
    [content/handlers/javascript/content.c:67] Apps:Internet/NetSurf/NetSurf:javascript_convert()+0x20 (section 1 @ 0xFE8DC)
    [content/content.c:282] Apps:Internet/NetSurf/NetSurf:content_llcache_callback()+0x1c8 (section 1 @ 0xAEFF8)
    [content/llcache.c:3191] Apps:Internet/NetSurf/NetSurf:llcache_object_notify_users()+0x230 (section 1 @ 0x15F758)
    [content/llcache.c:3617] Apps:Internet/NetSurf/NetSurf:llcache_catch_up_all_users()+0x38 (section 1 @ 0x15F96C)
    [frontends/amiga/schedule.c:268] Apps:Internet/NetSurf/NetSurf:ami_schedule_handle()+0xf0 (section 1 @ 0x1E75E8)
    [frontends/amiga/gui.c:2857] Apps:Internet/NetSurf/NetSurf:ami_get_msg()+0x890 (section 1 @ 0x1C0D14)
    [frontends/amiga/gui.c:5816] Apps:Internet/NetSurf/NetSurf:main()+0xdf4 (section 1 @ 0x1C9424)
    native kernel module newlib.library.kmod+0x000020ac
    native kernel module newlib.library.kmod+0x00002d14
    native kernel module newlib.library.kmod+0x00002ef0
    Apps:Internet/NetSurf/NetSurf:_start()+0x170 (section 1 @ 0x16C)
    native kernel module dos.library.kmod+0x000255c8
    native kernel module kernel+0x0003e7b4
    native kernel module kernel+0x0003e7fc

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #4631
URL of problem pagehttps://www.postcrossing.com
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001921

Daniel Silverstone (administrator)

Could you please retry this with #4646 or better?
Chris Young

~0001923

Chris Young (developer)

Took longer to crash, new stack trace:

Stack trace:
    NetSurf:_dom_node_finalise()+0x160 (section 1 @ 0x2E589C)
    NetSurf:_dom_virtual_html_script_element_destroy()+0x18 (section 1 @ 0x2DE828)
    NetSurf:_dom_node_try_destroy()+0x78 (section 1 @ 0x2E4FAC)
    NetSurf:_dom_node_finalise()+0x128 (section 1 @ 0x2E5864)
    NetSurf:_dom_virtual_html_head_element_destroy()+0x18 (section 1 @ 0x2F71A4)
    NetSurf:_dom_node_try_destroy()+0x78 (section 1 @ 0x2E4FAC)
    NetSurf:_dom_node_finalise()+0x128 (section 1 @ 0x2E5864)
    NetSurf:_dom_virtual_html_html_element_destroy()+0x18 (section 1 @ 0x2D6BF0)
    NetSurf:_dom_node_try_destroy()+0x78 (section 1 @ 0x2E4FAC)
    NetSurf:box_talloc_destructor()+0x134 (section 1 @ 0xC9190)
    [utils/talloc.c:385] NetSurf:_talloc_free()+0x6f8 (section 1 @ 0x204DC4)
    [utils/talloc.c:416] NetSurf:talloc_free()+0xe8 (section 1 @ 0x2062DC)
    [content/content.c:388] NetSurf:content_destroy()+0x84 (section 1 @ 0xAF7D4)
    [content/hlcache.c:140] NetSurf:hlcache_clean()+0x98 (section 1 @ 0x15C978)
    [frontends/amiga/schedule.c:268] NetSurf:ami_schedule_handle()+0xf0 (section 1 @ 0x1E8DD8)
    [frontends/amiga/gui.c:3279] NetSurf:ami_get_msg()+0x970 (section 1 @ 0x1C25E4)
    [frontends/amiga/gui.c:6260] NetSurf:main()+0x1274 (section 1 @ 0x1CAADC)
    native kernel module newlib.library.kmod+0x000020ac
    native kernel module newlib.library.kmod+0x00002d5c
    native kernel module newlib.library.kmod+0x00002ef0
    NetSurf:_start()+0x170 (section 1 @ 0x16C)
    native kernel module dos.library.kmod+0x000255c8
    native kernel module kernel+0x0003e7b4
    native kernel module kernel+0x0003e7fc
Daniel Silverstone

~0001936

Daniel Silverstone (administrator)

I can not make this crash any more, can you?
Chris Young

~0001938

Chris Young (developer)

I can't get it to crash either, looks to be fixed!
Vincent Sanders

~0002001

Vincent Sanders (administrator)

we believe this issue has been resolved in NetSurf 3.9
+Notes

-Issue History
Date Modified Username Field Change
2019-05-07 18:17 Chris Young New Issue
2019-05-07 18:17 Chris Young File Added: ns.log.gz
2019-05-25 19:00 Daniel Silverstone Note Added: 0001921
2019-05-27 10:53 Chris Young Note Added: 0001923
2019-06-05 21:26 Daniel Silverstone Note Added: 0001936
2019-06-05 21:49 Chris Young Note Added: 0001938
2019-06-10 22:07 Vincent Sanders Assigned To => Daniel Silverstone
2019-06-10 22:07 Vincent Sanders Status new => resolved
2019-06-10 22:07 Vincent Sanders Resolution open => fixed
2019-06-10 22:07 Vincent Sanders Fixed in Version => 3.9
2019-06-10 22:07 Vincent Sanders Target Version 4.0 => 3.9
2019-06-10 22:07 Vincent Sanders Steps to Reproduce Updated View Revisions
2019-06-10 22:07 Vincent Sanders Additional Information Updated View Revisions
2019-07-19 08:27 Vincent Sanders Status resolved => closed
2019-07-19 08:27 Vincent Sanders Note Added: 0002001
+Issue History